Show / Hide Table of Contents

# Class DynamicTable

##### Inheritance

Object
DynamicTable

##### Inherited Members

Object.Equals(Object)
Object.Equals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()
Object.ReferenceEquals(Object, Object)
Object.ToString()

###### Namespace: Titanium.Web.Proxy.Http2.Hpack

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class DynamicTable

### Constructors

| Improve this Doc View Source

#### DynamicTable(Int32)

Creates a new dynamic table with the specified initial capacity.

##### Declaration

    public DynamicTable(int initialCapacity)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | initialCapacity | Initial capacity.

### Properties

| Improve this Doc View Source

#### Capacity

Return the maximum allowable size of the dynamic table.

##### Declaration

    public int Capacity { get; }

##### Property Value

Type | Description
--- | ---
Int32 | The capacity.

| Improve this Doc View Source

#### Size

Return the current size of the dynamic table. This is the sum of the size of the entries.

##### Declaration

    public int Size { get; }

##### Property Value

Type | Description
--- | ---
Int32 | The size.

### Methods

| Improve this Doc View Source

#### Add(HttpHeader)

Add the header field to the dynamic table. Entries are evicted from the dynamic table until the size of the table and the new header field is less than or equal to the table's capacity. If the size of the new entry is larger than the table's capacity, the dynamic table will be cleared.

##### Declaration

    public void Add(HttpHeader header)

##### Parameters

Type | Name | Description
--- | --- | ---
HttpHeader | header | Header.

| Improve this Doc View Source

#### Clear()

Remove all entries from the dynamic table.

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### GetEntry(Int32)

Return the header field at the given index. The first and newest entry is always at index 1, and the oldest entry is at the index length().

##### Declaration

    public HttpHeader GetEntry(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | index | Index.

##### Returns

Type | Description
--- | ---
HttpHeader | The entry.

| Improve this Doc View Source

#### Length()

Return the number of header fields in the dynamic table.

##### Declaration

    public int Length()

##### Returns

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### Remove()

Remove and return the oldest header field from the dynamic table.

##### Declaration

    public HttpHeader Remove()

##### Returns

Type | Description
--- | ---
HttpHeader |

| Improve this Doc View Source

#### SetCapacity(Int32)

Set the maximum size of the dynamic table. Entries are evicted from the dynamic table until the size of the table is less than or equal to the maximum size.

##### Declaration

    public void SetCapacity(int capacity)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | capacity | Capacity.